Problems with installation of version Insync-3.2.7.40868

Hi there,

i was just setting up Insync-3.2.7.40868 on a fresh install of “Windows 10 2004 (Build 19041.450)” (installed with fresh created installation media by Microsofts Media Creation Tool). The installation is running smooth and without problems, but the upcoming Insync-Window after installation keeps plain white

. In about 1 out of 50 trials I can get the standard window where i can choose Google Drive or OneDrive. But if I’m not fast enough, i can keep clicking and nothing happens. In the out.txt in the %AppData%/Insync-Path there is following:
`AppData\Roaming\Insync\App\ideskui\appui.py:495: RuntimeWarning: coroutine ‘APIFunction.call’ was never awaited
RuntimeWarning: Enable tracemalloc to get the object allocation traceback
Exception in thread CoreLoopThread:
Traceback (most recent call last):
File “ideskasync\coreloop.py”, line 274, in run_loop
File “asyncio\base_events.py”, line 539, in run_forever
File “asyncio\base_events.py”, line 1739, in _run_once
File “selectors.py”, line 323, in select
File “selectors.py”, line 314, in _select
OSError: [WinError 10038] Ein Vorgang bezog sich auf ein Objekt, das kein Socket ist (winerror 10038 an operation was attempted on something that is not a socket)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “threading.py”, line 917, in _bootstrap_inner
File “threading.py”, line 865, in run
File “ideskasync\coreloop.py”, line 276, in run_loop
File “asyncio\runners.py”, line 62, in _cancel_all_tasks
File “asyncio\base_events.py”, line 571, in run_until_complete
File “asyncio\base_events.py”, line 539, in run_forever
File “asyncio\base_events.py”, line 1739, in _run_once
File “selectors.py”, line 323, in select
File “selectors.py”, line 314, in _select
OSError: [WinError 10038] Ein Vorgang bezog sich auf ein Objekt, das kein Socket ist

Traceback (most recent call last):
File “display_handler.pyx”, line 59, in cefpython_py37.DisplayHandler_OnTitleChange
File “ideskwin\htmlui_impl.py”, line 286, in __OnTitleChange
File “ideskui\htmlui.py”, line 114, in on_title_change
File “ideskui\uidata.py”, line 118, in handle_request
File “ideskasync\coreloop.py”, line 131, in wrapper
File “ideskasync\coreloop.py”, line 45, in run
File “asyncio\tasks.py”, line 813, in run_coroutine_threadsafe
AttributeError: ‘NoneType’ object has no attribute ‘call_soon_threadsafe’
AppData\Roaming\Insync\App\ideskwin\main.py:103: RuntimeWarning: coroutine ‘JSHandler.__await_and_return_result’ was never awaited
RuntimeWarning: Enable tracemalloc to get the object allocation traceback
Python WNDPROC handler failed
Traceback (most recent call last):
File “ideskwin\htmlui_impl.py”, line 358, in __OnClose
File “ideskui\htmlui.py”, line 74, in hide
File “ideskwin\htmlui_impl.py”, line 55, in hide
File “ideskui\appui.py”, line 498, in on_hide
File “ideskasync\coreloop.py”, line 131, in wrapper
File “ideskasync\coreloop.py”, line 45, in run
File “asyncio\tasks.py”, line 813, in run_coroutine_threadsafe
AttributeError: ‘NoneType’ object has no attribute ‘call_soon_threadsafe’
Exception in thread Thread-2:
Traceback (most recent call last):
File “threading.py”, line 917, in _bootstrap_inner
File “threading.py”, line 865, in run
File “ideskwin\main.py”, line 117, in stop_core
File “ideskasync\coreloop.py”, line 131, in wrapper
File “ideskasync\coreloop.py”, line 45, in run
File “asyncio\tasks.py”, line 813, in run_coroutine_threadsafe
AttributeError: ‘NoneType’ object has no attribute ‘call_soon_threadsafe’

AppData\Roaming\Insync\App\threading.py:951: RuntimeWarning: coroutine ‘BaseMain.halt’ was never awaited
RuntimeWarning: Enable tracemalloc to get the object allocation traceback
Python WNDPROC handler failed
AppData\Roaming\Insync\App\ideskwin\main.py:104: RuntimeWarning: coroutine ‘APIFunction.call’ was never awaited
RuntimeWarning: Enable tracemalloc to get the object allocation traceback
Traceback (most recent call last):
File “ideskwin\htmlui_impl.py”, line 358, in __OnClose
File “ideskui\htmlui.py”, line 74, in hide
File “ideskwin\htmlui_impl.py”, line 55, in hide
File “ideskui\appui.py”, line 498, in on_hide
File “ideskasync\coreloop.py”, line 131, in wrapper
File “ideskasync\coreloop.py”, line 45, in run
File “asyncio\tasks.py”, line 813, in run_coroutine_threadsafe
AttributeError: ‘NoneType’ object has no attribute ‘call_soon_threadsafe’
`
I hope you can help me, until the recent windows reinstall it was all working perfectly, for my purposes a great tool!

Yours sincerly
Constantin

Hi @Constantin!

Thank you for reaching out. Could you send your logs.db and out.txt to support@insynchq.com with the link to this post so our engineers can investigate further?

Files sended. Thank you for your help in advance.

1 Like